<div class="following bar" 
[ngClass]="{'dark': invertHeader, 'fixed':mainHeader, 'transition': mainHeader, 'modal_opened': modalOpened | async}">
    <div class="ui container">
        <div class="ui large secondary menu inverted">
            <div class="item" #header>
                <ng-template #logoContent>
                    <div class="ui logo shape">
                        <div class="sides">
                            <div class="active ui side">
                                <img src="/images/chat.png" alt="" class="ui image">
                            </div>
                        </div>
                    </div>
                    <span>Support Chat</span>
                </ng-template>
                <a class="logo-link" (click)="scrollToTop.emit()" *ngIf="mainHeader">
                    <ng-container *ngTemplateOutlet="logoContent"></ng-container>
                </a>
                <a [routerLink]="['/']" *ngIf="!mainHeader">
                    <ng-container *ngTemplateOutlet="logoContent"></ng-container>
                </a>
            </div>
            <ng-template [ngIf]="mainHeader">
                <a class="item link transparent" 
                [ngClass]="{'active': isActive(0)}" 
                (click)="setActive(0)" 
                (click)="scrollTo.emit('#product')">Features</a>

                <a class="item link transparent" 
                [ngClass]="{'active': isActive(1)}" 
                (click)="setActive(1)" 
                (click)="scrollTo.emit('#pricing')">Pricing</a>

                <a class="item link transparent" 
                [ngClass]="{'active': isActive(2)}" 
                (click)="setActive(2)" 
                (click)="scrollTo.emit('#feedback')">Feedback</a>
            </ng-template>

            <div class="right item" [ngClass]="{'auth': isAuthorized()}" (click)="onClick(); $event.stopPropagation()">
                <ng-template [ngIf]="isAuthorized()">
                    <div class="user" >
                        <div class="ui flowing popup bottom right transition" [ngClass]="{'visible': showPopup, 'hidden': !showPopup}">                               
                               <span class="">Account</span>
                               <span>History</span> 
                                <span class="divider"></span>
                                <span><i class="sign out icon"></i> Sign Out</span>
                        </div>
                        <span>evgen.onishchuk@gmail.com</span>
                        <span><i class="user circle outline icon"></i></span>
                    </div>
                </ng-template>
                <ng-template [ngIf]="!isAuthorized()">
                        <a class="ui inverted blue button" (click)="showAuth('login')"> Login </a>
                        <a class="ui inverted custom-orange button" routerLink="/account">Sign Up</a>
                </ng-template>
               
            </div>
        </div>
    </div>
</div>